%define version 1.5.0
%define rel	1

Name:		gcdemu
Version:	%version
Summary:	GTK+ based GUI for controlling CDEmu daemon
Release:	%mkrel %rel
Source:		http://downloads.sourceforge.net/cdemu/%name-%version.tar.bz2
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
# for cdemu daemon interface v3
Requires:	cdemu-daemon >= 1.5.0
Requires:	python-gi
Requires:	typelib(Notify) >= 0.7
Requires:	typelib(Gtk) >= 3.0
Requires:	typelib(GLib)
Requires:	typelib(GObject)
Requires:	typelib(GdkPixbuf)
Requires:	typelib(Gio)

%description
This is gCDEmu, a Gtk+ based GUI for controlling CDEmu daemon. It is part of the
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux.

It provides a graphic interface that allows performing the key tasks related to
controlling the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

In addition, it listens to signals emitted by CDEmu daemon and provides
notifications via libnotify.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %name

%pre
# drop previously used schema file, from %%preun_uninstall_gconf_schemas:
if [ -e %{_sysconfdir}/gconf/schemas/gcdemu.schemas -a -x %{_gconftool_bin} ]; then
	GCONF_CONFIG_SOURCE=`%{_gconftool_bin} --get-default-source` %{_gconftool_bin} --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdemu.schemas > /dev/null || true
fi

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/glib-2.0/schemas/apps.gcdemu.gschema.xml


%changelog

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220446
- new version 1.5.0
- adapt dependencies for new GObject bindings
- add typelib dependencies manually to workaround mgabz#4825
- new version
  o now a standalone application instead of GNOME applet
    (summary, description, dependencies, and file list updated accordingly)

* Mon Jan 17 2011 pterjan <pterjan> 1.3.0-4.mga1
+ Revision: 21329
- Rebuild for python 2.7

* Sun Jan 16 2011 anssi <anssi> 1.3.0-3.mga1
+ Revision: 20061
- remove old post script
- run schemas script in preun
- imported package gcdemu


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 594780
- rebuild for python 2.7

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575787
- new version
- bump requirement on cdemu-daemon due to bus switch

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472925
- new version 1.2.0

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 437657
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 333932
- Release 1.1.0

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1.svn300.2mdv2009.1
+ Revision: 324193
- rebuild

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn300.1mdv2009.0
+ Revision: 197018
- initial Mandriva release

